Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

Unable to install C++ 7.1 on OVMS 7.3-2

Paul Goslin Rae McCarth
Frequent Advisor

Unable to install C++ 7.1 on OVMS 7.3-2

The CD_DEV:[CXX071.KIT] directory does not contain CXX071.A file expected by vmsinstal, nor is it anywhere on the CD. The KIT directory does contain a file named CXX071.DCX_AXPEXE for which Google turns up only one web page http://h30266.www3.hp.com/masterindex/final_spl_vmsaxp_q106/SPLVAQ106_0HQAA_7_1_SSB.shtml which indicates it is a File Class PCSI_FILE. If it is a PCSI file then it should be installed with PCSI using PRODUCT INSTALL in which case the Installation Guide is quite wrong. Should I use product install ? - Is there an updated
installation guide that has working steps ?
4 REPLIES
Volker Halle
Honored Contributor

Re: Unable to install C++ 7.1 on OVMS 7.3-2

Paul/Rae,

a .DCX_AXPEXE is a compressed self-expanding file. You need to use the following command to expand it:

$ RUN CXX071.DCX_AXPEXE

It should expand to a CXX071.A saveset.

Volker.
Joseph Huber_1
Honored Contributor

Re: Unable to install C++ 7.1 on OVMS 7.3-2

I don't have the CD to prove it, there is usually an installation guide.

Anyhow, .DCX_AXPEXE are compressed files, which must be run to unpack:
run CD_DEV:[CXX071.KIT]CXX071.DCX_AXPEXE
to unpack, it will produce either *.PCSI kits or savesets for vmsinstal.
http://www.mpp.mpg.de/~huber
Paul Goslin Rae McCarth
Frequent Advisor

Re: Unable to install C++ 7.1 on OVMS 7.3-2

Thanks for the quick responses...
I've unpacked the exe file and am currently proceeding with the installation...
The install guide on the disk left out the step to unpack the exe file, and assumes the saveset file exists on the CD (which it does not!!!).
Paul Goslin Rae McCarth
Frequent Advisor

Re: Unable to install C++ 7.1 on OVMS 7.3-2

Replies provided solution - unpack exe file then proceed to use vmsinstal.com with saveset file from unpacked kit file...